# DataKnots.jl

*DataKnots is a Julia library for querying data with
an extensible, practical and coherent algebra of query
combinators.*

At this time, while we welcome feedback and contributions,
DataKnots is not yet usable for general audiences.

```@contents
Pages = [
    "tutorial.md",
    "reference.md",
]
Depth=2
```

The following documents outline conceptual topics
and implementation details.

```@contents
Pages = [
    "primer.md",
    "vectors.md",
    "pipelines.md",
    "shapes.md",
    "knots.md",
    "queries.md",
]
Depth=1
```
